import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Message, MessageType } from '../../models/message.model';
import * as i0 from "@angular/core";
export declare class MessageComponent implements OnInit, OnDestroy {
    private readonly elRef;
    static readonly instancesByElement: Map<HTMLElement, MessageComponent>;
    constructor(elRef: ElementRef);
    ngOnInit(): void;
    message?: Message;
    content?: string;
    html?: boolean;
    dismissable?: boolean;
    type?: MessageType;
    dismissed?: boolean;
    selfDismissed: boolean;
    dismiss(): void;
    private getType;
    get a(): boolean;
    get b(): boolean;
    get c(): boolean;
    get d(): boolean;
    get e(): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageComponent, "egov-message", never, { "message": "message"; "content": "content"; "html": "html"; "dismissable": "dismissable"; "type": "type"; "dismissed": "dismissed"; }, {}, never, ["*"]>;
}
